# Generated from jquery_lazy_load-0.1.0.15.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jquery_lazy_load

Name: rubygem-%{gem_name}
Version: 0.1.0.15
Release: 1%{?dist}
Summary: patched jquery lazy load gem
License: MIT
URL: https://github.com/c080609a/jquery_lazy_load
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The applied usage of the Jquery LazyImage plugin.
Block container with lazy <img> inside has transparent background
and animated loader.gif placed in its center.
User sees loader.gif til the original image is loaded.
It's supposed that the placeholder given by the
src attribute of the lazy <img> is fully transparent gif which width
and height are equivalented to width and height of original image
(to avoid jumping layout).
You can find the sample of described code snippet on the gem`s homepage.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/jquery_lazy_load-0.1.0.9.gem
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jquery_lazy_load.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0.15-1
- Initial package
